/*
 * graph.h
 *
 * Copyright 2011-2012. All rights reserved.
 */

#ifndef JL_GRAPH_H_
#define JL_GRAPH_H_ 1

#include <iostream>
#include <fstream>
#include <algorithm>
#include "network.h"
#include "similaritymatrix.h"

int GenerateDotFile(Network&,
                    const char*);
int GenerateAlignmentDotFile(Network&                  hNetwork,
                             Network&                  gNetwork,
                             const char*               alignGraphFile,
                             std::vector<std::string>* vAlignmentNodeStr,
                             SimilarityMatrix&         simMatrix);


#endif // JL_GRAPH_H_
