/*
 * subnetwork.h
 *
 * Copyright 2011-2012. All rights reserved.
 */


#ifndef JL_SUBNETWORK_H_
#define JL_SUBNETWORK_H_ 1


#include<iostream>
#include<fstream>
#include<string>
#include<list>
#include<vector>
#include<map>


class SubNetwork
{
public:
    SubNetwork();
    ~SubNetwork();

    int GetNetIndex(int);
    int PrintNetMatrix();
    int PrintNetIntVec();
    int PrintNodeIntVec();
    int PrintNetStrVec();
    int PrintNodeStrVec();
    int PrintNodeMap();

    int nNode;
    int nEdge;
    int centerNode;
    bool isCenterNodeLoop;
    int nLoop; //not including the centernode
    int **netMatrix;
    std::vector<int> netIntVec[2];
    std::map<int, int> nodeMap; //the first param is the node index in the network and the second is node index in the subnetwork
    std::vector<int> nodeIntVec;
    std::vector<std::string> nodeStrVec;
    std::vector<bool> isLoop;
};

#endif // JL_SUBNETWORK_H_
