/*
 * graphlet.h
 *
 * Copyright 2011-2012. All rights reserved.
 */

#ifndef JL_GRAPHLET_H_
#define JL_GRAPHLET_H_ 1

#include "network.h"
#include <vector>
#include <string>

const int NPATTERN = 14;

class Graphlet
{
public:
    Graphlet();
    ~Graphlet();
    int getGraphlet(Network& network,
                    int      iNode);
    int Sort2Node(int& n1,
                  int& n2);
    int SortPatternString(std::vector<int>& vPattern,
                          int               patternType);
    int PrintVGraphletPattern();
    int InsertPattern(std::vector<std::vector<int> >& vGraphletPattern,
                      std::vector<int>&               vTmp);
    std::vector<std::vector<int> > vGraphletPattern[NPATTERN];
};

#endif // JL_GRAPHLET_H_
